Connections
Get a connection
Retrieves the specified connection and its configuration details without including credential values.
Parâmetros de consulta
api-version
string
exigido
The API version to use for this operation.
Parâmetros de caminho
name
string
exigido
The friendly name of the connection, provided by the user.
Parâmetros do cabeçalho
x-ms-client-request-id
string
An opaque, globally-unique, client-generated string identifier for the request.
Respostas
The request has succeeded.
Cabeçalhos
x-ms-client-request-id
string
An opaque, globally-unique, client-generated string identifier for the request.
Corpo
name
string
exigido
The friendly name of the connection, provided by the user.
id
string
exigido
A unique identifier for the connection, generated by the service
type
string | enum
exigido
The Type (or category) of the connection
enum
target
string
exigido
The connection URL to be used for this service
isDefault
boolean
exigido
Whether the connection is tagged as the default connection of its type
credentials
ApiKey | AAD | CustomKeys | SAS | None | AgenticIdentityToken_Preview
exigido
A base class for connection credentials
ApiKey
ApiKeyCredentials
API Key Credential definition
type
enum
exigido
The credential type
key
string
API Key
AAD
EntraIDCredentials
Entra ID credential definition
type
enum
exigido
The credential type
CustomKeys
CustomCredential
Custom credential definition
type
enum
exigido
The credential type
SAS
SASCredentials
Shared Access Signature (SAS) credential definition
type
enum
exigido
The credential type
SAS
string
SAS token
None
NoAuthenticationCredentials
Credentials that do not require authentication
type
enum
exigido
The credential type
AgenticIdentityToken_Preview
AgenticIdentityPreviewCredentials
Agentic identity credential definition
type
enum
exigido
The credential type
metadata
object
exigido
Metadata of the connection
Solicitar
GET /connections/{name} HTTP/1.1
Resposta
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json